| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::HlmsMaterialBase Class Reference
Optional Components » HLMS

`#include <OgreHlmsMaterialBase.h>`

Inheritance diagram for Ogre::HlmsMaterialBase:
[legend]

## Public Member Functions
| HlmsMaterialBase ()
virtual | ~HlmsMaterialBase ()
virtual void | createTextureUnits (Pass *pass)
| this is called once per frame if the shader has changed. (it is guaranteed that there are not texture units in the pass) More...
HlmsDatablock * | getFragmentDatablock ()
PropertyMap & | getPropertyMap ()
HlmsDatablock * | getVertexDatablock ()
virtual void | updatePropertyMap (Camera *camera, const LightList *pLightList)
| this is called once per frame More...
virtual void | updateUniforms (const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)
| this is called for every renderable before it is renderd with the given pass More...

## Public Attributes
bool | IsDirty

The documentation for this class was generated from the following file:

- OgreHlmsMaterialBase.h